Package opennlp.tools.postag

# Enum Class POSTagFormat

java.lang.Object
java.lang.Enum<POSTagFormat>
opennlp.tools.postag.POSTagFormat

All Implemented Interfaces:
  `Serializable`, `Comparable<POSTagFormat>`, `Constable`

public enum POSTagFormat extends Enum<POSTagFormat>
Defines the format for part-of-speech tagging, i.e. PENN or UD format.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `CUSTOM`
  `PENN`
  `UD`
  `UNKNOWN`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static POSTagFormat`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static POSTagFormat[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### UD

    public static final POSTagFormat UD

  - ### PENN

    public static final POSTagFormat PENN

  - ### CUSTOM

    public static final POSTagFormat CUSTOM

  - ### UNKNOWN

    public static final POSTagFormat UNKNOWN

- ## Method Details

  - ### values

    public static POSTagFormat[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static POSTagFormat valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null